[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TListItemsEnumerator.MoveNext

Moves to the next value for the enumerator.

## Declaration

Source position: comctrls.pp line 1122

`public function TListItemsEnumerator.MoveNext: Boolean;`

## Function result

Returns True if another list item is available using the enumerator.

## Description

MoveNext is a Boolean function used to move the enumerator to the next value in the list items container. The return value is True if the new position is valid for the TListItems container. The return value is False if the new position is larger than Count-1 from the TListItems container.

## See also

TListItems.Count |  | The number of TListItem instances stored in the container.